QGIS server 2.99 reverses the layer order for layer groups
Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: linux debian Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25871

Description

Hi all,

I recently switched to version 2.99 both for desktop (to edit my .qgs file) and server.

I use the server to display a layers group containing several layers, correctly ordered in the .qgs file. But when displayed through WMS,

the rendering order is not correct, it even seems to be exactly reversed. I mean the bottom layer of the group is displayed on top, and the

top one is displayed on the lowest one.

With the former version, I hadn't such a problem.

Anyway, many thanks to all QGIS contributors. It's a great project.

Rémi.

Associated revisions

Revision de33351f - 2018-02-02 10:35 AM - Alessandro Pasotti 

[bugfix][server] WMS respect order of grouped layers

Fixes #17975 - QGIS server 2.99 reverses the layer order for layer groups

History

#1 - 2018-01-26 07:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from Yes to No

What version you were using before?

Display layers how (a GetMap? a GetPrint?) and where?

#2 - 2018-01-26 08:20 PM - Rémi Bonnefoi

Hi Giovanni,

Thank you for your answer. I don't really understand why you don't consider it is a regression, as everything worked with version 2.18.14 or 2.18.16.
The problem occurs either using a GetMap through an openlayers application in Firefox, or directly using QGIS desktop connecting through WMS to my

QGIS server.

#3 - 2018-01-26 08:31 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

Rémi Bonnefoi wrote:

Hi Giovanni,

Thank you for your answer. I don't really understand why you don't consider it is a regression, as everything worked with version 2.18.14 or 2.18.16.

The problem occurs either using a GetMap through an openlayers application in Firefox, or directly using QGIS desktop connecting through WMS to

my QGIS server.

can you post an example getmap request that you use (that shows the layers in the right order on 2.18 and reversed in master)? thanks.

#4 - 2018-01-30 05:12 PM - Alessandro Pasotti

A simple test project would be really helpful, thanks.

#5 - 2018-02-01 05:01 PM - Rémi Bonnefoi

- File version_2_99.qgs.zip added

Dear Giovanni, dear Alessandro,

I am sorry for this late answer.

I attach an extract of my qgs file (version 2.99). It think it will let you test the rendering using both qgis desktop and server and check the layer order.

FYI, in my web application, I display the group "projets_urbains" as a single layer using WMS protocol thanks to the openlayers library.

Thanks.

Remi.

#6 - 2018-02-02 08:56 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#7 - 2018-02-02 11:09 AM - Alessandro Pasotti

- Status changed from Feedback to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/6251
#8 - 2018-02-05 09:24 AM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|de33351ff89f18624900a50196bb3214626b40a6.

#9 - 2018-02-21 09:39 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

version_2_99.qgs.zip 2.3 MB 2018-02-01 Rémi Bonnefoi
